<?php
    require_once __DIR__.'/../painel/classes/_classGlobalSite.php';

    if ($_POST['parTipoAcao'] == 'Contato') {
        $sErro = "Erro|";
        $isErro = false;
        if (empty($_POST['inputNome'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Nome é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputEmail']) || !filter_var($_POST['inputEmail'], FILTER_VALIDATE_EMAIL)) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Email é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputTelefone'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Telefone é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputCidade'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Cidade é inválido!</p>";
            $isErro = true;
        } 

        if (empty($_POST['inputAssunto'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Assunto é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputMensagem'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Mensagem é inválido!</p>";
            $isErro = true;
        } 

        if ($isErro) {
            echo $sErro . '<style> .fa-times{color:#F27474} </style>';
            return;
        } else {
            $aContato = Array(
                "CodContato" => $cBanco->getMaxRegistro('Contato'),
                "DataHora" => date("d/m/Y H:i:s"),
                "Status" => "A"
            );
            $aInfo = Array();
            foreach ($_POST as $key => $value) {
                if (substr($key, 0, 5) == "input" ) {
                    $aInfo[substr($key,5)] = $value;
                }
            }
            $aContato = array_merge($aContato, $aInfo);

            $cBanco->setBegin();
            $iNroLinhas = $cBanco->Insert('Contato')->setGravaDados($aContato)->setExecute();
            $cBanco->setFimBegin();

            $sData = date("d/m/Y H:i:s");

            $sMensagemDoEmail = "Olá, <br/><br/> {$_POST['inputNome']} enviou um novo contato. <br/><br/> <a href='http://" . $cBanco->getDominio() . "/painel'>Clique aqui</a> e acesse área administrativa do website para verificar mais informações! <br/><br/><br/>";

            foreach ($_POST as $key => $value) {
                if (substr($key, 0, 5) == "input")
                    $sMensagemDoEmail .= "<b>" . preg_replace('/(?<! )(?<!^)[A-Z]/',' $0', substr($key, 5)) . ": </b> {$value} <br/>";
            }
            $isMail = $cEnviaEmail->setEnviaEmail($cBanco->getEmailContatoPadrao(), "Novo Contato - "  . $cBanco->getDominio(), $sMensagemDoEmail, $_POST['inputEmail']);

            echo 'Sucesso';
            return;
        }
    } else if ($_POST['parTipoAcao'] == 'Orcamento') {
        $sErro = "Erro|";
        $isErro = false;
        if (empty($_POST['inputNome'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Nome é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputEmail']) || !filter_var($_POST['inputEmail'], FILTER_VALIDATE_EMAIL)) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Email é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputTelefone'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Telefone é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputCidade'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Cidade é inválido!</p>";
            $isErro = true;
        } 

        if (empty($_POST['inputAssunto'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Assunto é inválido!</p>";
            $isErro = true;
        }

        if (empty($_POST['inputMensagem'])) {
            $sErro .= " <p style='text-align: left'><i class='fa fa-times'></i> Campo Mensagem é inválido!</p>";
            $isErro = true;
        } 

        if ($isErro) {
            echo $sErro . '<style> .fa-times{color:#F27474} </style>';
            return;
        } else {
            $aContato = Array(
                "CodContato" => $cBanco->getMaxRegistro('Contato'),
                "DataHora" => date("d/m/Y H:i:s"),
                "Status" => "A",
                "CodProduto" => $_POST['Produto']
            );
            $aInfo = Array();
            foreach ($_POST as $key => $value) {
                if (substr($key, 0, 5) == "input" ) {
                    $aInfo[substr($key,5)] = $value;
                }
            }
            $aContato = array_merge($aContato, $aInfo);

            $cBanco->setBegin();
            $iNroLinhas = $cBanco->Insert('Contato')->setGravaDados($aContato)->setExecute();
            $cBanco->setFimBegin();

            $sData = date("d/m/Y H:i:s");

            $sMensagemDoEmail = "Olá, <br/><br/> {$_POST['inputNome']} enviou um novo contato. <br/><br/> <a href='http://" . $cBanco->getDominio() . "/painel'>Clique aqui</a> e acesse área administrativa do website para verificar mais informações! <br/><br/><br/>";

            $sMensagemDoEmail .= "<b>" . preg_replace('/(?<! )(?<!^)[A-Z]/',' $0', substr($key, 5)) . ": </b> {$value} <br/>";
            foreach ($_POST as $key => $value) {
                if (substr($key, 0, 5) == "input")
                    $sMensagemDoEmail .= "<b>" . preg_replace('/(?<! )(?<!^)[A-Z]/',' $0', substr($key, 5)) . ": </b> {$value} <br/>";
            }
            $isMail = $cEnviaEmail->setEnviaEmail($cBanco->getEmailContatoPadrao(), "Novo Contato - "  . $cBanco->getDominio(), $sMensagemDoEmail, $_POST['inputEmail']);

            echo 'Sucesso';
            return;
        }
    } else {
        print_r($_POST);
    }
?>
